Skip to main content

Capture Transaction

Endpoint for capturing Auth type Transactions.

info

Please be aware that this endpoint requires a Manage Transactions API Key.

POST /api/v1/groups/{group_id}/transaction/{transaction_id}/capture

Request Parameters

NameDescriptionTypeRequired
amountThe amount captured for the transaction. Must be equal to the authorized amount.uint64

Response

CodeDescription
200Success
400Bad Request / Validation error
500Internal Error

Example Usage

transaction.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');

var requestOptions = {
method: 'POST',
headers: headers,
redirect: 'follow',
body: {
// request body data
}
};
const group_id = '';
fetch(
`https://api.reverepayments.dev/api/v1/groups/${group_id}/transaction/${transaction_id}/capture`,
requestOptions
)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Request

{
"amount": 3000
}

Example Success Response

{
"id": "c05861f0-6384-414d-b837-0ed71cefbbe5",
"group_id": "<group_id>",
"gateway": "revere_pay",
"processor_id": "<processor_id>",
"processor_name": "NO AFFILIATE",
"processor_type": "revere_pay",
"transaction_type": "auth",
"payment_method": "card",
"payment_details": {
"card": {
"brand": "Visa",
"card_type": "debit",
"first_six": "411111",
"last_four": "1111",
"customer_name": "James Testington",
"expiration_date": "26/11",
"avs": "not available",
"cvv": "no match",
"issued_country": "US"
}
},
"amounts": {
"requested_amount": 3000,
"authorized_amount": 3000,
"captured_amount": 3000
},
"currency": "USD",
"description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce sed lacus ac mi gravida euismod. Curabitur augue sapien, aliquam eu varius eu, gravida ac nunc. Duis commodo imperdiet augue. Proin consequat odio et pretium molestie.",
"source": "api",
"order_id": "98765",
"po_number": "12345",
"email_receipt": false,
"email_address": "test@example.com",
"user_id": "297f3804-ff73-49d6-8192-b755c1a50a2a",
"username": "john_testington",
"billing_address": {
"first_name": "James",
"last_name": "Testington",
"company": "James' Company",
"city": "Scranton",
"line_1": "Slough Avenue",
"line_2": "1725",
"subdivision": "PA",
"postal_code": "18505",
"country": "US",
"email": "test@example.com"
},
"shipping_address": {
"first_name": "James",
"last_name": "Testington",
"company": "James' Company",
"city": "Scranton",
"line_1": "Slough Avenue",
"line_2": "1725",
"subdivision": "PA",
"postal_code": "18505",
"country": "US"
},
"form_external_id": "",
"form_entry_id": "",
"subscription_id": "",
"plan_id": "",
"custom_fields": {},
"response_code": "SUCCESS",
"response_text": "confirmed",
"status": "captured",
"created_at": "2024-04-11T14:27:17.952372849Z"
}